from django.contrib import admin

from .models import YelpLocation, YelpReview


class YelpLocationAdmin(admin.ModelAdmin):
    list_display = ['location_id', 'url']


class YelpReviewAdmin(admin.ModelAdmin):
    list_display = ['reviewer_name', 'rating', 'date_posted', 'comment']
    search_fields = ['reviewer_name', 'comment']
    list_filter = ('location', 'rating',)


admin.site.register(YelpLocation, YelpLocationAdmin)
admin.site.register(YelpReview, YelpReviewAdmin)
